package de.ozgcloud.admin.reporting;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;

class AggregationMappingMapperTest {

	@InjectMocks
	private AggregationMappingMapper mapper = Mappers.getMapper(AggregationMappingMapper.class);

	@Nested
	class TestToMapping {

		@Test
		void shouldMapToDto() {
			var dto = mapper.toMapping(AggregationMappingTestFactory.create());

			assertThat(dto).usingRecursiveComparison().isEqualTo(AggregationMappingDtoTestFactory.create());
		}
	}

}
